This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### emissive()
Examples |
    size(100, 100, P3D);
    background(0);
    noStroke();
    background(0);
    directionalLight(204, 204, 204, .5, 0, -1);
    emissive(0, 26, 51);
    translate(70, 50, 0);
    sphere(30);
Description | Sets the emissive color of the material used for drawing shapes drawn to the screen. Used in combination with ambient(), specular(), and shininess() in setting the material properties of shapes.
Syntax |
    emissive(rgb)
    emissive(gray)
    emissive(v1, v2, v3)
Parameters |
rgb | int: color to set
v1 | float: red or hue value (depending on current color mode)
v2 | float: green or saturation value (depending on current color mode)
v3 | float: blue or brightness value (depending on current color mode)
Returns | void
Related | ambient() specular() shininess()

Updated on October 26, 2013 08:58:32pm PDT